/v1/communities/{community_id}/conversations/{conversation_id}/messages/{message_id}/reactions/{actor_id}/{type}AuthRemove the (actor, type) reaction. Idempotent — calling on a missing reaction returns the current counts.
Path parameters
community_id*stringSocial community UUID.
conversation_id*stringConversation UUID.
message_id*stringDirect message UUID.
actor_id*stringReactor actor UUID.
type*stringReaction type to remove.
Response · 200 Reaction removed (or already absent).
reaction_counts*objectDenormalised map of reaction type → count after the change.
Example: {"heart":2}
Example
Request
DELETE https://social.productcraft.co/v1/communities/{community_id}/conversations/{conversation_id}/messages/{message_id}/reactions/{actor_id}/{type}
Authorization: Bearer YOUR_TOKENimport { Social } from "@productcraft/social";
// Reads PRODUCTCRAFT_API_KEY from the environment
const social = new Social();
const directMessageReactionRemoved = await social.community("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f").conversations.messages.reactions.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "like");social.community(…).conversations.messages.reactions.delete(conversationId, messageId, actorId, type, options?): Social.DirectMessageReactionRemoved
Response
{
"reaction_counts": {
"heart": 2
}
}